package com.eactive.eai.rms.bat.manage.rule.schedule.vo;

public class SchedulerReportTrigger {

	private String keyName;
	private Long startTime;
	private Long endTime;
	private Long previousFireTime;
	private Long nextFireTime;
	private String triggerState;

	public String getKeyName() {
		return keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public Long getStartTime() {
		return startTime;
	}

	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}

	public Long getEndTime() {
		return endTime;
	}

	public void setEndTime(Long endTime) {
		this.endTime = endTime;
	}
	
	public Long getPreviousFireTime() {
		return previousFireTime == null ? 0 : previousFireTime;
	}

	public void setPreviousFireTime(Long previousFireTime) {
		this.previousFireTime = previousFireTime;
	}

	public Long getNextFireTime() {
		return nextFireTime == null ? 0 : nextFireTime;
	}

	public void setNextFireTime(Long nextFireTime) {
		this.nextFireTime = nextFireTime;
	}

	public String getTriggerState() {
		return triggerState;
	}

	public void setTriggerState(String triggerState) {
		this.triggerState = triggerState;
	}

}
